### Method

# FwupdPlugin IntelMeDevice get_hfsts

since: 2.1.1

#### Declaration [src]

    FuStructIntelMeHfsts*
    fu_intel_me_device_get_hfsts (
      FuIntelMeDevice* self,
      guint idx
    )

#### Description [src]

Gets a HFSTSx register.

Available since: 2.1.1

This method is not directly available to language bindings.

#### Parameters

`idx`

  Type: `guint`

  Index, 1-6.

#### Return value

Type: `FuStructIntelMeHfsts`

A `FuStructIntelMeHfsts`, or `NULL` if unset.

The returned data is owned by the instance.